## org.codehaus.groovy.grails.web.taglib
Class RequestContextTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.RequestContextTag

All Implemented Interfaces:
  GrailsTag

Direct Known Subclasses:
  RenderInputTag

    public abstract class RequestContextTag

extends Object
implements GrailsTag

Since:
  11-Jan-2006
Author:
  Graeme Rocher

Field Summary
`protected WebApplicationContext` `applicationContext`
`protected Map` `attributes`
`protected BeanWrapper` `bean`
`protected String` `contextPath`
`protected GrailsApplication` `grailsApplication`
`protected Writer` `out`
`protected GrailsTagRegistry` `registry`
`protected ServletRequest` `request`
`protected ServletResponse` `response`
`protected ServletContext` `servletContext`
`protected UrlPathHelper` `urlPathHelper`

Constructor Summary
`protected` `RequestContextTag(String name)`

Method Summary
`void` `doEndTag()` process the end tag
`protected abstract void` `doEndTagInternal()`
`void` `doStartTag()` Process the start tag
`protected abstract void` `doStartTagInternal()`
`String` `getName()`
`GrailsTagRegistry` `getRegistry()`
`void` `init(Map context)`
`void` `setAttribute(String name, Object value)` Sets an attribute of the tag
`void` `setAttributes(Map attributes)` Sets the attributes of the tag
`void` `setWriter(Writer w)` Sets the writer that processes the tag

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected Writer out

### attributes

    protected Map attributes

### request

    protected ServletRequest request

### contextPath

    protected String contextPath

### urlPathHelper

    protected UrlPathHelper urlPathHelper

### registry

    protected GrailsTagRegistry registry

### bean

    protected BeanWrapper bean

### servletContext

    protected ServletContext servletContext

### response

    protected ServletResponse response

### applicationContext

    protected WebApplicationContext applicationContext

### grailsApplication

    protected GrailsApplication grailsApplication

Constructor Detail

### RequestContextTag

    protected RequestContextTag(String name)

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `GrailsTag`
  Returns:
    The name of the tag

### init

    public void init(Map context)

  Specified by:
    `init` in interface `GrailsTag`

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Description copied from interface: `GrailsTag`
  Sets an attribute of the tag

  Specified by:
    `setAttribute` in interface `GrailsTag`

### getRegistry

    public GrailsTagRegistry getRegistry()

### setWriter

    public void setWriter(Writer w)

  Description copied from interface: `GrailsTag`
  Sets the writer that processes the tag

  Specified by:
    `setWriter` in interface `GrailsTag`

### setAttributes

    public void setAttributes(Map attributes)

  Description copied from interface: `GrailsTag`
  Sets the attributes of the tag

  Specified by:
    `setAttributes` in interface `GrailsTag`

### doStartTag

    public final void doStartTag()

  Description copied from interface: `GrailsTag`
  Process the start tag

  Specified by:
    `doStartTag` in interface `GrailsTag`

### doStartTagInternal

    protected abstract void doStartTagInternal()

### doEndTagInternal

    protected abstract void doEndTagInternal()

### doEndTag

    public final void doEndTag()

  Description copied from interface: `GrailsTag`
  process the end tag

  Specified by:
    `doEndTag` in interface `GrailsTag`

Copyright (c) 2005-2009 The Grails project